Autor Tópico: Problema com o Urban Terror no Ubuntu 10.10  (Lida 10202 vezes)

Offline andreboyrock

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Problema com o Urban Terror no Ubuntu 10.10
« Online: 07 de Dezembro de 2010, 11:39 »
 ??? ??? ???

Problema com o Urban Terror no Ubuntu 10.10

Abro o executável "ioUrbanTerror.i386". Ele abre normalmente, depois clico em "play online", clico no servidor que eu quero. Os arquivos do jogo carregam e depois quando vou selecionar as armas elas não aparecem corretamente, algumas não aparecem e em outras aparecem com gráficos errados.

Na imagem abaixo está o erro com as armas:
http://matematicaemdetalhes.vndv.com/urbanterror_problema_imagens/problema_com_armas.png

(Eu já conheço todas as armas, mas me preocupo com quem vai jogar pela primeira vez e ainda não conhece).

No Windows XP e no Windows 7 ele abre normalmente(O mesmo arquivo que eu baixei pro linux)
Só no linux que eu estou tendo problema

Outra coisa é que ele fica muito lento. O FPS fica em torno de 7 a 35, enquanto no windows XP e 7 fica entre 70 e 95
Será que é o OpenGL ??? o meu OpenGL é o 1.4 Sei que já existe o OpenGL 4.1 ! Procurei na internet como atualizar o OpenGL mas não encontrei.
Como é que eu posso atualizar o OpenGL ? Já procurei nos repositórios do apt, no gerenciador de pacotes Synaptic e não encontrei nada !

As imagens com FPS lento estão abaixo:
http://matematicaemdetalhes.vndv.com/urbanterror_problema_imagens/fps_baixo_lento.png
http://matematicaemdetalhes.vndv.com/urbanterror_problema_imagens/fps_baixo_lento2.png

No Ubuntu 8.04 ele funcionava normalmente, mas o FPS ficava um pouco melhor do que no Ubuntu 10.10 , o jogo também ficava lento no Ubuntu 8.04, mas as armas apareciam corretamente.

Outra coisa é que o jogo não está conseguindo baixar mapas, que funciona normal no Windows XP e 7. Ele fala que está faltando uma biblioteca chamada cURL. O estranho é que quando eu abro o jogo pelo terminal e vejo o log, ele tem um erro que diz que está faltando "libcurl-3.dll", mas eu estou no Linux e não no windows para usar dll.

A saída do terminal quando dá o erro da dll é:

Loading "libcurl-3.dll"...********************
ERROR: Can not autodownload missing file(s), because the cURL library could not be loaded.

A imagem do erro no jogo:
http://matematicaemdetalhes.vndv.com/urbanterror_problema_imagens/faltando_curl_library.png


« Última modificação: 07 de Dezembro de 2010, 12:09 por andreboyrock »

Offline cesargcomp

  • Usuário Ubuntu
  • *
  • Mensagens: 545
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #1 Online: 07 de Dezembro de 2010, 14:49 »
Olá andreboyrock,

Jogo Urban Terror há mais de 2 anos. Nunca tive problemas para rodar ele no Ubuntu. Uso o Ubuntu 10.04 LTS e tá rodando muito melhor que no Windows. Usava Windows para jogá-lo mas depois do 10.04 não uso mais Windows na minha máquina.

Instalou os drivers de vídeo corretamente? Qual placa de vídeo você usa?

Sobre o problema do "autodownload" de mapas, realmente acontece e tem uma solução.

Se não estiver instalado, instale o libcurl3
sudo apt-get install libcurl3

Para 32 bits:
/cl_cURLLib /usr/lib/libcurl.so.3
ou cole a linha abaixo
cl_cURLLib /usr/lib/libcurl.so.3
no seu arquivo "q3ut4/autoexec.cfg"

Para 64 bits:
no console do jogo digite:
/cl_cURLLib /usr/lib32/libcurl.so.4
ou cole a linha abaixo
cl_cURLLib /usr/lib32/libcurl.so.4
no seu arquivo "q3ut4/autoexec.cfg"

Os mapas serão salvos em /home/usuario/.q3a/q3ut4.

Obs: usuario é o seu usuário (dã).
Use Ubuntu. Segurança, facilidade e gratuidade em suas mãos.

Offline andreboyrock

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #2 Online: 09 de Dezembro de 2010, 09:02 »
Olá pessoal do fórum,

Agradeço ao cesargcomp pela ajuda com o autodownload, referente ao problema com a biblioteca libcurl.
Agora consigo baixar mapas não oficiais do Urban Terror.

Mas um problema persiste:

1)As armas não aparecem corretamente embora seja possível jogar perfeitamente.
( Este problema não me incomoda muito, mas seria bom solucioná-lo )
Obs.:No Windows XaroPe e no Windows 7 as armas aparecem corretamente.


O FPS eu já consegui melhorar desativando o compiz, usando o kernel "low-latency" e desativando a economia de energia. 
Fiquei hoje a tarde inteira procurando um pacote deb para usar o kernel low-latency ao invés do genérico e achei para o ubuntu 11.04 alpha, pois não existe para o ubuntu 10.10.

[Se alguém estiver com problema de FPS baixo e quiser usar o kernel "low-latency", baixa latência, explico como fazer no Ubuntu 10.10 Maverick]

Encontrei o .deb do kernel "low-latency" no repositório do abogani https://launchpad.net/~abogani/+archive/ppa
Abri o Synaptic.Então adicionei o repositório do abogani no Synaptic: ppa:abogani/ppa
( É preciso "dizer" ao Synaptic que a distribuição é Maverick ! )
Depois recarreguei a lista de repositórios
Selecionei os pacotes:

linux-image-2.6.37-8-lowlatency-pae
linux-headers-2.6.37-8-lowlatency-pae         

O pacote "linux-headers-2.6.37-8-lowlatency-pae" tem uma dependência chamada "linux-headers-2.6.37-8"
que encontrei em outro repositório: ppa:xorg-edgers/ppa ( Adicionei este também no Synaptic )
Depois selecionei o pacote "linux-headers-2.6.37-8" e cliquei no botão aplicar. Então foram instalados os três pacotes.

Após instalação do kernel ( que está na pasta /boot ), fui no terminal e digitei o comando update-grub para atualizar o Grub2.
(Na verdade quando terminei de instalar o kernel o Grub2 já estava com as entradas do kernel "low-latency" e
do kernel genérico. Usei o update-grub só para garantir).


Reiniciei o computador e já tinha as entradas no grub para o kernel genérico e o kernel "low-latency" que é mais rápido e inclusive a entrada do meu rWindows 7 ( Só está instalado pro meu irmão jogar Combat Arms, o resto é com o linux...  )

E pra desativar a economia de energia é só ir no painel superior do Gnome, clicar com o botão direito do mouse no painel e clique em Adicionar ao painel, depois encontre o item "Monitor de graduação da frequência da CPU" ( digite CPU para localizar ). Depois clique em Adicionar.
Depois clique com botão esquerdo do mouse no ícone clique em "Performance", para "rodar" a CPU no máximo.
Se tiver um processador dual core ou quad core, clique com o botão direito do mouse, selecione Preferências e selecione um core de cada vez e configure como "Performance"

Agora consigo rodar o Urban Terror a cerca de 45 à 60 FPS.

Até mais pessoal. ;)

Offline andreboyrock

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #3 Online: 09 de Dezembro de 2010, 09:10 »
Minha CPU é Core 2 Duo E2140
Não tenho placa de vídeo. Meu vídeo é On-board.
4 GB de memória RAM (O linux reconhece 3,9 GB e no Windows 7 reconhece 3,4)
HD de 160GB

( O driver de vídeo já estava certinho quando terminei de instalar, com renderização 3D. Vi no comando glxgears funcionando.  )


É isso aí... :)

Offline cesargcomp

  • Usuário Ubuntu
  • *
  • Mensagens: 545
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #4 Online: 09 de Dezembro de 2010, 12:35 »
Minha CPU é Core 2 Duo E2140
Não tenho placa de vídeo. Meu vídeo é On-board.
Como seu vídeo é on-board, precisamos saber qual seria o chipset. Digite o comando abaixo no console e poste o resultado aqui:

Código: [Selecionar]
lspci | grep VGA
4 GB de memória RAM (O linux reconhece 3,9 GB e no Windows 7 reconhece 3,4)
HD de 160GB
Use o comando abaixo no console e poste também o resultado:
Código: [Selecionar]
uname -a
Para ver se o seu processador suporta 64 bits, digite no terminal o seguinte (se aparecer 64 bits, suporta):
Código: [Selecionar]
sudo lshw -C processor | grep width
( O driver de vídeo já estava certinho quando terminei de instalar, com renderização 3D. Vi no comando glxgears funcionando.  )

É isso aí... :)
O driver para o vídeo pode até estar instalado mas não talvez não seja o mais adequado. Siga as dicas e poste os resultados para que possamos ajudá-lo.

Estamos ai para ajudar. Vou pesquisar mas acho que dá pra jogar Combat Arms no Ubuntu. Assim daria para eliminar o "Janelas".




Use Ubuntu. Segurança, facilidade e gratuidade em suas mãos.

Offline andreboyrock

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #5 Online: 09 de Dezembro de 2010, 15:26 »
Olá cesargcomp,

Vou precisar de sua ajuda mesmo, porque em alguns momentos o jogo trava, fica com 7 FPS e depois volta ao normal. E quando estou atirando o FPS também cai muito, fica a cerca de 5 FPS. Em alguns lugares também fica lento.

Abaixo estou postando a saída dos comando que você me passou

lspci | grep VGA:
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 10)

uname -a:
Linux andre 2.6.37-8-lowlatency-pae #21~ppa1-Ubuntu SMP PREEMPT Mon Dec 6 11:20:19 UTC 2010 i686 GNU/Linux

lshw -C processor | grep width:
       width: 64 bits
          width: 64 bits
          width: 64 bits



O comando para saber qual é o módulo de vídeo que está carregado é:

lsmod | grep video:
video                  10872  1 i915
videodev               58027  1 gspca_main
v4l1_compat            14090  1 videodev
output                  1496  1 video

No meu aqui é o módulo i915.
Outra coisa é que o Compiz não roda direito. Funciona só o efeito gelatina na janela, o resto não funciona nenhum.

Eu vou procurar a informação do driver de vídeo, porque realmente acho que este não deve ser o mais adequado.

Já tentei rodar o Combat Arms pelo wine mas não funcionou, e no site vivaolinux.com.br o pessoal disse que não tem como rodar por causa do sistema anti-hack (HackShield). E outra coisa é que os gráficos do Combat Arms são muito pesados para serem emulados.

Vou postar alguma coisa sobre o driver de vídeo se eu achar.

Obrigado, valeu ! ;)



« Última modificação: 09 de Dezembro de 2010, 15:48 por andreboyrock »

Offline cesargcomp

  • Usuário Ubuntu
  • *
  • Mensagens: 545
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #6 Online: 09 de Dezembro de 2010, 19:28 »
Olá cesargcomp,

Vou precisar de sua ajuda mesmo, porque em alguns momentos o jogo trava, fica com 7 FPS e depois volta ao normal. E quando estou atirando o FPS também cai muito, fica a cerca de 5 FPS. Em alguns lugares também fica lento.
FPS baixo é normalmente problema no driver de vídeo. Quase 100% das vezes mas... Uma pequena observação: para rodar o jogo liso você tem que desativar o compiz. Eu uso o fusion-icon.
Instalação do Fusion Icon (console) e instalação de todos os pacotes para o Compiz:
Código: [Selecionar]
sudo apt-get install simple-ccsm compizconfig-settings-manager compiz-fusion-plugins-extra fusion-icon
Instale ele e execute através de Ferramentas de sistema>Compiz Fusion Icon. Vai abrir um ícone perto do relógio. Clique com o botão direito sobre ele e vá até "Select Window Manager". Marque Metacity. Vai desativar o Compiz. Após jogar é só marcar Compiz no Fusion Icon e habilitar o Compiz novamente. Eu uso o compizconfig-settings-manager para configurar os plugins do compiz.

Abaixo estou postando a saída dos comando que você me passou

lspci | grep VGA:
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 10)

uname -a:
Linux andre 2.6.37-8-lowlatency-pae #21~ppa1-Ubuntu SMP PREEMPT Mon Dec 6 11:20:19 UTC 2010 i686 GNU/Linux

lshw -C processor | grep width:
       width: 64 bits
          width: 64 bits
          width: 64 bits


Sobre sua placa de vídeo achei no fórum mesmo alguma coisa.
http://ubuntuforum-br.org/index.php?topic=68690.msg382559#msg382559
Vê se ajuda. Pesquisei e vi que está instalado sim o melhor driver para sua placa de vídeo mas siga o link e as dicas que deve ajudar.

Seu Ubuntu é 32 bits (reconhece pouco mais de 3 Gb de RAM mesmo) e seu processador é 64 bits.
Se achar que é necessário, instale o Ubuntu 64 bits (eu uso o 10.04 LTS).

No meu aqui é o módulo i915.
Outra coisa é que o Compiz não roda direito. Funciona só o efeito gelatina na janela, o resto não funciona nenhum.
Siga a dica de "Instalação do Fusion Icon (console) e instalação de todos os pacotes para o Compiz".

Já tentei rodar o Combat Arms pelo wine mas não funcionou, e no site vivaolinux.com.br o pessoal disse que não tem como rodar por causa do sistema anti-hack (HackShield). E outra coisa é que os gráficos do Combat Arms são muito pesados para serem emulados.
Olha, essa eu fico devendo (vou pesquisar) mas já conseguir rodar o próprio UrT pelo wine. E tem vários jogos pesados que rodam mas acho que não tem versão nativa para Linux. Vi também que devido a uma verificação do sistema anti-cheater do jogo, não seria possível usá-lo no Linux (por enquanto).

Use Ubuntu. Segurança, facilidade e gratuidade em suas mãos.

Offline andreboyrock

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #7 Online: 14 de Dezembro de 2010, 23:27 »
Olá cesargcomp,

Obrigado pela sua ajuda.

Instalei os pacotes que você mencionou sobre o compiz e funcionou muito bem !

Já estou satisfeito com o jogo rodando do jeito que está, apesar de não poder ajustar o brilho nas configurações do jogo, não poder ver as armas e o FPS baixo.

Vou fechar o tópico no sábado(18/12/2010), se até lá não aparecerem outras soluções.

Obrigado,
andreboyrock  ;)

/*
 * Desejo um Feliz Natal e um Feliz Ano Novo a todos
 *
 */
« Última modificação: 14 de Dezembro de 2010, 23:31 por andreboyrock »

Offline Pedru

  • Usuário Ubuntu
  • *
  • Mensagens: 232
    • Ver perfil
    • Livre Linux
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #8 Online: 23 de Dezembro de 2010, 05:07 »
Tenho uma solução. Ou talvez possa ser uma solução:
http://ubuntuforum-br.org/index.php/topic,76246.0.html

Esse tópico deve explicar tudinho!

Offline EricTux

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #9 Online: 19 de Fevereiro de 2011, 15:50 »
Bom, vou continuar neste post pois tenho o mesmo problema.
Estou iniciando minha jornada Linux e como ainda não tem o Steam nativo para linux(só rodando pelo wine), resolvi arriscar no jogo Urban Terror.
Instalei o Urban Terror usando o apt-get, após 1gb de download fui abrir e nada, ele dá um erro:

eric@BigBlack-linux:/$ urban-terror
ioq3-urt for linux i386 (Dec 25 2010 10:35:12)
running for 0days 0h 0m and 0s
* VBO Initialized
...GL_ARB_vertex_shader
/usr/bin/urban-terror: linha 6:  2439 Falha de segmentação  ./ioq3-urt


Acreditando ser algo com a placa de vídeo, busquei na internet como atualizar, fiz milhões de coisas até que consegui atualizar os drivers da placa, mas o erro permaneceu.
Seguindo as dicas encontradas aqui no fórum também não tive sucesso. Alguém pode me ajudar?

Adiantando os comandos que o cesargcomp pedi em um post:

eric@BigBlack-linux:/$ lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc RV535 [Radeon X1650 Series] (rev 9e)

eric@BigBlack-linux:/$ uname -a
Linux BigBlack-linux 2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:48 UTC 2011 i686 GNU/Linux

eric@BigBlack-linux:/$ sudo lshw -C processor | grep width
       width: 64 bits



Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #10 Online: 19 de Fevereiro de 2011, 16:03 »
01:00.0 VGA compatible controller: ATI Technologies Inc RV535 [Radeon X1650 Series] (rev 9e)

Ola Erik, sua placa deve estar com o driver livre ou seja aquele que e instalado junto com o Ubuntu, sua placa nao e mais suportada com o driver proprietario desde o Ubuntu 8.10 em razao do novo X.

http://ubuntuforum-br.org/index.php/topic,56594.0.html
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline EricTux

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #11 Online: 19 de Fevereiro de 2011, 22:15 »
Bom, inconformado... eu instalei o driver da ATI 9.04 (forçando)

$ sh ./ati-driver-installer-9-3-x86.x86_64.run --listpkg
$ sudo ./ati-driver-installer-9-3-x86.x86_64.run --buildpkg Ubuntu/9.04

Em seguida removi o Urban Terror e instalei como manda neste post indicado pelo Pedru:
http://ubuntuforum-br.org/index.php/topic,76246.0.html

Bingo! Já estou jogando, com resolução linda!
Tks!

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
Re: Problema com o Urban Terror no Ubuntu 10.10
« Resposta #12 Online: 22 de Fevereiro de 2011, 20:53 »
Otima dica, tenho uma Radeon antiga e assim que colocar as maos nela vou testar 8).
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997